package cn.com.countrygarden.bi.main.service.wcx.impl;



import cn.com.countrygarden.bi.main.core.AbstractService;
import cn.com.countrygarden.bi.main.dao.wcx.CreateProjectMapper;
import cn.com.countrygarden.bi.main.model.wcx.WcxOriginality;
import cn.com.countrygarden.bi.main.service.wcx.CreateProjectService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 创新项目服务层
 */
@Service
@Transactional
public class CreateProjectServiceImpl extends AbstractService<WcxOriginality> implements CreateProjectService {
    @Autowired
    private CreateProjectMapper createProjectMapper;

    @Override
    public List<WcxOriginality> percentcreateprojectdate(String startdate, String enddate, Integer pager, Integer sizer) {
        List<WcxOriginality> ad = null;//createProjectMapper.percentcreateprojectdate(startdate, enddate, pager, sizer);
        return null;//ad;
    }

    @Override
    public List<WcxOriginality> anchang(int i) {
        return null;//createProjectMapper.anchang(i);
    }

    @Override
    public List<WcxOriginality> kefuguanjia(int i) {
        return null;//createProjectMapper.kefuguanjia(i);
    }

    @Override
    public List<WcxOriginality> baoan(int i) {
        return null;//createProjectMapper.baoan(i);
    }

    @Override
    public List<WcxOriginality> baojie(int i) {
        return null;//createProjectMapper.baojie(i);
    }

    @Override
    public List<WcxOriginality> liuhua(int i) {
        return null;//createProjectMapper.liuhua(i);
    }

    @Override
    public List<WcxOriginality> gongcheng(int i) {
        return null;// createProjectMapper.gongcheng(i);
    }


    @Override
    public Long findthumb(String CreateProjectid, Integer time) {
        return createProjectMapper.findthumb(CreateProjectid, time);
    }


    @Override
    public Long findmement(String CreateProjectid) {
        return createProjectMapper.findmement(CreateProjectid);
    }

}
